spips: XSpiPs Struct Reference

| spips Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSpiPs Struct Reference
Spips_v3_3

The XSpiPs driver instance data. More...

## Data Fields
XSpiPs_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
u32 | RequestedBytes
| Number of bytes to transfer (state) More...
u32 | RemainingBytes
| Number of bytes left to transfer(state) More...
u32 | IsBusy
| A transfer is in progress (state) More...
u32 | SlaveSelect
| The slave select value when XSPIPS_FORCE_SSELECT_OPTION is set. More...
void * | StatusRef
| Callback reference for status handler. More...

## Detailed Description

The XSpiPs driver instance data.

The user is required to allocate a variable of this type for every SPI device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XSpiPs_Config XSpiPs::Config

Configuration structure.

Referenced by SpiSlaveRead(), SpiSlaveWrite(), XSpiPs_Abort(), XSpiPs_CfgInitialize(), XSpiPs_GetClkPrescaler(), XSpiPs_GetDelays(), XSpiPs_GetOptions(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), XSpiPs_Reset(), XSpiPs_SelfTest(), XSpiPs_SetClkPrescaler(), XSpiPs_SetDelays(), XSpiPs_SetOptions(), XSpiPs_SetSlaveSelect(), and XSpiPs_Transfer().

u32 XSpiPs::IsBusy

A transfer is in progress (state)

Referenced by XSpiPs_Abort(), XSpiPs_CfgInitialize(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), XSpiPs_SetClkPrescaler(), XSpiPs_SetDelays(), XSpiPs_SetOptions(), XSpiPs_SetSlaveSelect(), and XSpiPs_Transfer().

u32 XSpiPs::IsReady

Device is initialized and ready.

Referenced by XSpiPs_CfgInitialize(), XSpiPs_GetClkPrescaler(), XSpiPs_GetDelays(), XSpiPs_GetOptions(), XSpiPs_GetSlaveSelect(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), XSpiPs_Reset(), XSpiPs_SelfTest(), XSpiPs_SetClkPrescaler(), XSpiPs_SetDelays(), XSpiPs_SetOptions(), XSpiPs_SetSlaveSelect(), XSpiPs_SetStatusHandler(), and XSpiPs_Transfer().

u8* XSpiPs::RecvBufferPtr

Buffer to receive (state)

Referenced by XSpiPs_CfgInitialize(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), and XSpiPs_Transfer().

u32 XSpiPs::RemainingBytes

Number of bytes left to transfer(state)

Referenced by XSpiPs_Abort(), XSpiPs_CfgInitialize(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), and XSpiPs_Transfer().

u32 XSpiPs::RequestedBytes

Number of bytes to transfer (state)

Referenced by XSpiPs_Abort(), XSpiPs_CfgInitialize(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), and XSpiPs_Transfer().

u8* XSpiPs::SendBufferPtr

Buffer to send (state)

Referenced by XSpiPs_CfgInitialize(), XSpiPs_InterruptHandler(), XSpiPs_PolledTransfer(), and XSpiPs_Transfer().

u32 XSpiPs::SlaveSelect

The slave select value when XSPIPS_FORCE_SSELECT_OPTION is set.

Referenced by XSpiPs_GetSlaveSelect(), XSpiPs_PolledTransfer(), XSpiPs_SetSlaveSelect(), and XSpiPs_Transfer().

void* XSpiPs::StatusRef

Callback reference for status handler.

Referenced by XSpiPs_InterruptHandler(), and XSpiPs_SetStatusHandler().